## inkscape-0.92.3.tar.bz2.4ef7171cc1de9e1608d8c49b77fed99e

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.2)

message("------------------------------")
message("Building Makefile for Inkscape")
message("------------------------------")
message("Source Dir: ${CMAKE_CURRENT_SOURCE_DIR}")
message("Binary Dir: ${CMAKE_CURRENT_BINARY_DIR}")

include(CMakeScripts/HelperFunctions.cmake)
include(CMakeScripts/ConfigEnv.cmake)
include(CMakeScripts/ConfigPaths.cmake)

# -----------------------------------------------------------------------------
# CMake Configuration
# -----------------------------------------------------------------------------
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeScripts/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

project(inkscape)
set(PROJECT_NAME inkscape)

set(INKSCAPE_VERSION_MAJOR  0)
set(INKSCAPE_VERSION_MINOR 92)
set(INKSCAPE_VERSION_PATCH  3)
set(INKSCAPE_VERSION_SUFFIX "")

set(INKSCAPE_VERSION ${INKSCAPE_VERSION_MAJOR}.${INKSCAPE_VERSION_MINOR})
if(INKSCAPE_VERSION_PATCH)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}.${INKSCAPE_VERSION_PATCH})
endif()
if(INKSCAPE_VERSION_SUFFIX)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}${INKSCAPE_VERSION_SUFFIX})
endif()

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

if(APPLE)
    SET(CMAKE_MACOSX_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH "@loader_path/../lib/inkscape")
else()
    SET(CMAKE_INSTALL_RPATH "$ORIGIN/../lib/inkscape")
endif()

cmake_policy(SET CMP0003 NEW) # don't be prolific with library paths
cmake_policy(SET CMP0005 NEW) # proper define quoting
cmake_policy(SET CMP0009 NEW) # don't follow symbolic links when using GLOB

# workaround for omission in cmake 2.8.4's GNU.cmake, fixed in 2.8.5
if(CMAKE_COMPILER_IS_GNUCC)
    if(NOT DARWIN)
	set(CMAKE_INCLUDE_SYSTEM_FLAG_C "-isystem ")
    endif()
endif()

# console output is slow as hell on Windows and as a result status messages of the "install" target slow down
# the whole build process considerably (especially since we also copy a lot of files from the devlibs)
# TODO: Is this worth to be configurable / also applicable to other platforms?
if(WIN32 AND NOT CMAKE_INSTALL_MESSAGE)
    set(CMAKE_INSTALL_MESSAGE "LAZY")
endif()


# -----------------------------------------------------------------------------
# Redirect output files
# -----------------------------------------------------------------------------
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE PATH "Output directory for runtime binaries")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE PATH "Output directory for libraries")

# -----------------------------------------------------------------------------
# Options
# -----------------------------------------------------------------------------
option(WITH_DBUS "Compile with support for DBus interface" OFF)
option(ENABLE_LCMS "Compile with LCMS support" ON)
option(WITH_GNOME_VFS "Compile with support for Gnome VFS" ON)
option(WITH_SVG2 "Compile with support for new SVG2 features" ON)
option(WITH_LPETOOL "Compile with LPE Tool and experimental LPEs enabled" OFF)
#option(WITH_INKJAR "Enable support for openoffice files (SVG jars)" ON)
option(WITH_OPENMP "Compile with OpenMP support" ON)

option(WITH_PROFILING "Turn on profiling" OFF) # Set to true if compiler/linker should enable profiling

option(ENABLE_POPPLER "Compile with support of libpoppler" ON)
option(ENABLE_POPPLER_CAIRO "Compile with support of libpoppler-cairo for rendering PDF preview (depends on ENABLE_POPPLER)" ON)
option(WITH_IMAGE_MAGICK "Compile with support of ImageMagick for raster extensions and image import resolution" ON)
option(WITH_LIBCDR "Compile with support of libcdr for CorelDRAW Diagrams" ON)
option(WITH_LIBVISIO "Compile with support of libvisio for Microsoft Visio Diagrams" ON)
option(WITH_LIBWPG "Compile with support of libwpg for WordPerfect Graphics" ON)
option(WITH_NLS "Compile with Native Language Support (using gettext)" ON)
option(WITH_GTK3_EXPERIMENTAL "Enable compilation with GTK+3 (EXPERIMENTAL!)" OFF)

option(ENABLE_BINRELOC "Enable relocatable binaries" OFF)

# -----------------------------------------------------------------------------
# Test Harness
# -----------------------------------------------------------------------------
find_package(GTest) # gtest 1.8.0 and later already include gmock
if(GTEST_FOUND AND EXISTS "${GTEST_INCLUDE_DIR}/gmock" AND IS_DIRECTORY "${GTEST_INCLUDE_DIR}/gmock")
    set(GMOCK_PRESENT ON)
else()
    set(GMOCK_DIR "${CMAKE_SOURCE_DIR}/gtest/gmock-1.7.0"
    CACHE PATH "The path to the GoogleMock test framework.")
    if(EXISTS "${GMOCK_DIR}" AND IS_DIRECTORY "${GMOCK_DIR}")
        set(GMOCK_PRESENT ON)
    else()
        set(GMOCK_PRESENT OFF)
        message("No gmock/gtest found! Perhaps you wish to run 'bash download-gtest.sh' to download it.")
    endif()
endif()

include(CMakeScripts/DefineDependsandFlags.cmake) # Includes, Compiler Flags, and Link Libraries
include(CMakeScripts/HelperMacros.cmake) # Misc Utility Macros


# -----------------------------------------------------------------------------
# BAD HACKS, NEED TO INVESTIGATE MAKING THESE LESS BAD
if (NOT CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions(-D_FORTIFY_SOURCE=2)
endif()
add_definitions(-DORBIT2=1)
add_definitions(-DHAVE_CONFIG_H)
add_definitions(-DHAVE_CAIRO_PDF=1)  # needed for src/libnrtype/Layout-TNG.h
add_definitions(-DHAVE_TR1_UNORDERED_SET) # XXX make an option!
if(NOT WIN32)
    add_definitions(-fPIC)
endif()
#
# end badness
# -----------------------------------------------------------------------------

# -----------------------------------------------------------------------------
# Relocatable Binary
# -----------------------------------------------------------------------------

if (ENABLE_BINRELOC)
	add_definitions(-DENABLE_BINRELOC)
endif()

# -----------------------------------------------------------------------------
# Dist Targets
# -----------------------------------------------------------------------------
include(CMakeScripts/Dist.cmake)

# -----------------------------------------------------------------------------
# Uninstall Target
# -----------------------------------------------------------------------------
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# -----------------------------------------------------------------------------
# Subdirs (on only 1 atm), but a lot happens here
# -----------------------------------------------------------------------------
add_subdirectory(src)

if(ENABLE_NLS)
    add_subdirectory(po)
endif(ENABLE_NLS)

# -----------------------------------------------------------------------------
# Man pages
# -----------------------------------------------------------------------------
if(NOT WIN32)
	include("CMakeScripts/Pod2man.cmake")

	# Load AUTHORS file contents into $INKSCAPE_AUTHORS
	file(READ ${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS content)
	string(REGEX REPLACE "^([^\n#]+)\n" "\\1;\n" content_list "${content}")
	
	join(INKSCAPE_AUTHORS "," "${content_list}")

	foreach(podfile
			man/inkscape.pod
			man/inkscape.de.pod
			man/inkscape.el.pod
			man/inkscape.fr.pod
			man/inkscape.ja.pod
			man/inkscape.sk.pod
			man/inkscape.zh_TW.pod
			man/inkview.pod)
			
		set(POD_IN ${CMAKE_CURRENT_SOURCE_DIR}/${podfile}.in)
		set(POD_OUT ${CMAKE_CURRENT_BINARY_DIR}/${podfile})
		
		configure_file(${POD_IN} ${POD_OUT})
		
		pod2man(${POD_OUT} ${INKSCAPE_VERSION} 1 "Inkscape Commands Manual")
	endforeach()
endif()

# -----------------------------------------------------------------------------
# Installation
# -----------------------------------------------------------------------------
add_subdirectory(share)

if(HAVE_MSYS2)
  include(CMakeScripts/InstallMSYS2.cmake)
else()
  include(CMakeScripts/Install.cmake)
endif()

# -----------------------------------------------------------------------------
# Clean
# -----------------------------------------------------------------------------
add_custom_target(clean-cmake-files
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

add_custom_target(clean-all
    COMMAND ${CMAKE_BUILD_TOOL} clean
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

#-----------------------------------------------------------------------------
if(GMOCK_PRESENT)
    enable_testing()
    add_subdirectory(testfiles EXCLUDE_FROM_ALL)
    set(CMAKE_CTEST_COMMAND ctest -V)
    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} DEPENDS tests)
endif()

# Canonicalize the flags to speed up recompilation using ccache/etc.
# This should be the last thing we do:
include(CMakeScripts/CanonicalizeFlagsVar.cmake)
canonicalize_flags_var("${CMAKE_CXX_FLAGS}" _new_cxx)
set(CMAKE_CXX_FLAGS "${_new_cxx}" CACHE STRING "" FORCE)
# message(FATAL_ERROR "CMAKE_CXX_FLAGS = <${CMAKE_CXX_FLAGS}>")


# ----------------------------------------------------------------------
# Information Summary
# ----------------------------------------------------------------------
message("------------------------------------------------------------------------")
message("Configuration Summary")
message("------------------------------------------------------------------------")
# project info
message("PROJECT_NAME:            ${PROJECT_NAME}")
message("INKSCAPE_VERSION:        ${INKSCAPE_VERSION}")
message("INKSCAPE_DIST_PREFIX:    ${INKSCAPE_DIST_PREFIX}")
message("")

# cmake info
message("CMAKE_BINARY_DIR:        ${CMAKE_BINARY_DIR}")
message("CMAKE_INSTALL_PREFIX:    ${CMAKE_INSTALL_PREFIX}")
message("PACKAGE_LOCALE_DIR       ${PACKAGE_LOCALE_DIR}")
message("CMAKE_SYSTEM_NAME:       ${CMAKE_SYSTEM_NAME}")
message("CMAKE_SYSTEM_VERSION:    ${CMAKE_SYSTEM_VERSION}")
message("CMAKE_SYSTEM_PROCESSOR:  ${CMAKE_SYSTEM_PROCESSOR}")
message("CMAKE_C_COMPILER:        ${CMAKE_C_COMPILER}")
message("CMAKE_CXX_COMPILER:      ${CMAKE_CXX_COMPILER}")
message("CMAKE_BUILD_TYPE:        ${CMAKE_BUILD_TYPE}")
message("ENABLE_BINRELOC:         ${ENABLE_BINRELOC}")
message("")

if(WIN32)
message("CMAKE_PREFIX_PATH:           ${CMAKE_PREFIX_PATH}")
message("CMAKE_FIND_LIBRARY_PREFIXES: ${CMAKE_FIND_LIBRARY_PREFIXES}")
message("CMAKE_FIND_LIBRARY_SUFFIXES: ${CMAKE_FIND_LIBRARY_SUFFIXES}")
message("")
endif()

# dependency info
message("ENABLE_LCMS:             ${ENABLE_LCMS}")
message("ENABLE_POPPLER:          ${ENABLE_POPPLER}")
message("ENABLE_POPPLER_CAIRO:    ${ENABLE_POPPLER_CAIRO}")
message("GMOCK_PRESENT:           ${GMOCK_PRESENT}")
message("WITH_DBUS:               ${WITH_DBUS}")
message("WITH_GNOME_VFS:          ${WITH_GNOME_VFS}")
message("WITH_GTK3_EXPERIMENTAL:  ${WITH_GTK3_EXPERIMENTAL}")
message("WITH_GTKSPELL:           ${WITH_GTKSPELL}")
message("WITH_IMAGE_MAGICK:       ${WITH_IMAGE_MAGICK}")
message("WITH_LIBCDR:             ${WITH_LIBCDR}")
message("WITH_LIBVISIO:           ${WITH_LIBVISIO}")
message("WITH_LIBWPG:             ${WITH_LIBWPG}")
message("WITH_NLS:                ${WITH_NLS}")
message("WITH_OPENMP:             ${WITH_OPENMP}")
message("WITH_PROFILING:          ${WITH_PROFILING}")

if(WIN32)
message("")
message("HAVE_MINGW:              ${HAVE_MINGW}")
message("HAVE_MINGW64:            ${HAVE_MINGW64}")
message("MINGW_PATH:              ${MINGW_PATH}")
message("MINGW_ARCH:              ${MINGW_ARCH}")
message("MINGW_ARCH_PATH:         ${MINGW_ARCH_PATH}")
if(NOT HAVE_MSYS2)
message("DEVLIBS_PATH:            ${DEVLIBS_PATH}")
message("DEVLIBS_LIB:             ${DEVLIBS_LIB}")
message("DEVLIBS_BIN:             ${DEVLIBS_BIN}")
message("PKG_CONFIG_PATH:         ${PKG_CONFIG_PATH}")
endif()
endif()

message("------------------------------------------------------------------------")

=== po/CMakeLists.txt ===
file(GLOB LANGUAGES *.po)
foreach(language ${LANGUAGES})
  string(REGEX REPLACE "(.+(\\\\|/))+" "" language ${language})
  string(REGEX REPLACE "\\.po$" "" language ${language})
  set(pofile ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po)
  GETTEXT_PROCESS_PO_FILES(${language} ALL INSTALL_DESTINATION "share/locale/" PO_FILES ${pofile})
endforeach(language)

if(NOT WIN32)

#translates inkscape.desktop
add_custom_target(inkscape_desktop DEPENDS ${CMAKE_BINARY_DIR}/inkscape.desktop)

if(${GETTEXT_VERSION_STRING} VERSION_GREATER "0.19")
    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/inkscape.desktop 
        DEPENDS ${LANGUAGES}
        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --desktop --template ${CMAKE_SOURCE_DIR}/inkscape.desktop.template -d ${CMAKE_CURRENT_SOURCE_DIR} -o ${CMAKE_BINARY_DIR}/inkscape.desktop.template.in --keyword=Name --keyword=GenericName --keyword=X-GNOME-FullName --keyword=Comment --keyword=Keywords
        COMMAND ${CMAKE_COMMAND} -DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR} -DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR} -DENABLE_BINRELOC=${ENABLE_BINRELOC} -P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-desktop.cmake
    )
else()
    message("Old gettext version, not translating inkscape.desktop")
    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/inkscape.desktop
        COMMAND cp ${CMAKE_SOURCE_DIR}/inkscape.desktop.template ${CMAKE_BINARY_DIR}/inkscape.desktop.template.in
        COMMAND ${CMAKE_COMMAND} -DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR} -DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR} -DENABLE_BINRELOC=${ENABLE_BINRELOC} -P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-desktop.cmake
    )
endif()

add_dependencies(inkscape inkscape_desktop)

endif()

=== src/CMakeLists.txt ===
# -----------------------------------------------------------------------------
# Define the main source
# -----------------------------------------------------------------------------

set(sp_SRC
  attribute-rel-css.cpp
  attribute-rel-svg.cpp
  attribute-rel-util.cpp
  attribute-sort-util.cpp
  sp-anchor.cpp
  sp-clippath.cpp
  sp-conn-end-pair.cpp
  sp-conn-end.cpp
  sp-cursor.cpp
  sp-defs.cpp
  sp-desc.cpp
  sp-ellipse.cpp
  sp-factory.cpp
  sp-filter-primitive.cpp
  sp-filter-reference.cpp
  sp-filter.cpp
  sp-flowdiv.cpp
  sp-flowregion.cpp
  sp-flowtext.cpp
  sp-font-face.cpp
  sp-font.cpp
  sp-glyph-kerning.cpp
  sp-glyph.cpp
  sp-gradient-reference.cpp
  sp-gradient.cpp
  sp-guide.cpp
  sp-hatch-path.cpp
  sp-hatch.cpp
  sp-image.cpp
  sp-item-group.cpp
  sp-item-notify-moveto.cpp
  sp-item-rm-unsatisfied-cns.cpp
  sp-item-transform.cpp
  sp-item-update-cns.cpp
  sp-item.cpp
  sp-line.cpp
  sp-linear-gradient.cpp
  sp-lpe-item.cpp
  sp-marker.cpp
  sp-mask.cpp
  sp-mesh-array.cpp
  sp-mesh-gradient.cpp
  sp-mesh-patch.cpp
  sp-mesh-row.cpp
  sp-metadata.cpp
  sp-missing-glyph.cpp
  sp-namedview.cpp
  sp-object-group.cpp
  sp-object.cpp
  sp-offset.cpp
  sp-paint-server.cpp
  sp-path.cpp
  sp-pattern.cpp
  sp-polygon.cpp
  sp-polyline.cpp
  sp-radial-gradient.cpp
  sp-rect.cpp
  sp-root.cpp
  sp-script.cpp
  sp-shape.cpp
  sp-solid-color.cpp
  sp-spiral.cpp
  sp-star.cpp
  sp-stop.cpp
  sp-string.cpp
  sp-style-elem.cpp
  sp-switch.cpp
  sp-symbol.cpp
  sp-tag-use-reference.cpp
  sp-tag-use.cpp
  sp-tag.cpp
  sp-text.cpp
  sp-title.cpp
  sp-tref-reference.cpp
  sp-tref.cpp
  sp-tspan.cpp
  sp-use-reference.cpp
  sp-use.cpp
  splivarot.cpp
  viewbox.cpp

  # -------
  # Headers
  attribute-rel-css.h
  attribute-rel-svg.h
  attribute-rel-util.h
  attribute-sort-util.h
  sp-anchor.h
  sp-clippath.h
  sp-conn-end-pair.h
  sp-conn-end.h
  sp-cursor.h
  sp-defs.h
  sp-desc.h
  sp-ellipse.h
  sp-factory.h
  sp-filter-primitive.h
  sp-filter-reference.h
  sp-filter-units.h
  sp-filter.h
  sp-flowdiv.h
  sp-flowregion.h
  sp-flowtext.h
  sp-font-face.h
  sp-font.h
  sp-glyph-kerning.h
  sp-glyph.h
  sp-gradient-reference.h
  sp-gradient-spread.h
  sp-gradient-test.h
  sp-gradient-units.h
  sp-gradient-vector.h
  sp-gradient.h
  sp-guide-attachment.h
  sp-guide-constraint.h
  sp-guide.h
  sp-hatch-path.h
  sp-hatch.h
  sp-image.h
  sp-item-group.h
  sp-item-notify-moveto.h
  sp-item-rm-unsatisfied-cns.h
  sp-item-transform.h
  sp-item-update-cns.h
  sp-item.h
  sp-line.h
  sp-linear-gradient.h
  sp-lpe-item.h
  sp-marker-loc.h
  sp-marker.h
  sp-mask.h
  sp-mesh-array.h
  sp-mesh-gradient.h
  sp-mesh-patch.h
  sp-mesh-row.h
  sp-metadata.h
  sp-missing-glyph.h
  sp-namedview.h
  sp-object-group.h
  sp-object.h
  sp-offset.h
  sp-paint-server-reference.h
  sp-paint-server.h
  sp-path.h
  sp-pattern.h
  sp-polygon.h
  sp-polyline.h
  sp-radial-gradient.h
  sp-rect.h
  sp-root.h
  sp-script.h
  sp-shape.h
  sp-solid-color.h
  sp-spiral.h
  sp-star.h
  sp-stop.h
  sp-string.h
  sp-style-elem-test.h
  sp-style-elem.h
  sp-switch.h
  sp-symbol.h
  sp-tag.h
  sp-tag-use.h
  sp-tag-use-reference.h
  sp-text.h
  sp-textpath.h
  sp-title.h
  sp-tref-reference.h
  sp-tref.h
  sp-tspan.h
  sp-use-reference.h
  sp-use.h
  viewbox.h
)

set(inkscape_SRC
  attributes.cpp
  axis-manip.cpp
  box3d-side.cpp
  box3d.cpp
  color-profile.cpp
  color.cpp
  composite-undo-stack-observer.cpp
  conditions.cpp
  conn-avoid-ref.cpp
  console-output-undo-observer.cpp
  context-fns.cpp
  desktop-events.cpp
  desktop-style.cpp
  desktop.cpp
  device-manager.cpp
  dir-util.cpp
  document-subset.cpp
  document-undo.cpp
  document.cpp
  ege-color-prof-tracker.cpp
  event-log.cpp
  extract-uri.cpp
  file.cpp
  file-update.cpp
  filter-chemistry.cpp
  filter-enums.cpp
  gc-anchored.cpp
  gc-finalized.cpp
  gradient-chemistry.cpp
  gradient-drag.cpp
  graphlayout.cpp
  guide-snapper.cpp
  help.cpp
  id-clash.cpp
  inkscape.cpp
  knot-holder-entity.cpp
  knot-ptr.cpp
  knot.cpp
  knotholder.cpp
  layer-fns.cpp
  layer-manager.cpp
  layer-model.cpp
  line-geometry.cpp
  line-snapper.cpp
  main-cmdlineact.cpp
  media.cpp
  message-context.cpp
  message-stack.cpp
  mod360.cpp
  object-hierarchy.cpp
  object-snapper.cpp
  path-chemistry.cpp
  persp3d-reference.cpp
  persp3d.cpp
  perspective-line.cpp
  preferences.cpp
  prefix.cpp
  print.cpp
  profile-manager.cpp
  proj_pt.cpp
  pure-transform.cpp
  rdf.cpp
  removeoverlap.cpp
  resource-manager.cpp
  rubberband.cpp
  satisfied-guide-cns.cpp
  selcue.cpp
  selection-chemistry.cpp
  selection-describer.cpp
  selection.cpp
  seltrans-handles.cpp
  seltrans.cpp
  shortcuts.cpp
  snap-preferences.cpp
  snap.cpp
  snapped-curve.cpp
  snapped-line.cpp
  snapped-point.cpp
  snapper.cpp
  style-internal.cpp
  style.cpp
  svg-view-widget.cpp
  svg-view.cpp
  text-chemistry.cpp
  text-editing.cpp
  transf_mat_3x4.cpp
  unclump.cpp
  unicoderange.cpp
  uri-references.cpp
  uri.cpp
  vanishing-point.cpp
  verbs.cpp
  version.cpp

  # -------
  # Headers
  MultiPrinter.h
  PylogFormatter.h
  TRPIFormatter.h
  attributes-test.h
  attributes.h
  axis-manip.h
  bad-uri-exception.h
  box3d-side.h
  box3d.h
  cms-color-types.h
  cms-system.h
  color-profile-cms-fns.h
  color-profile-test.h
  color-profile.h
  color-rgba.h
  color.h
  colorspace.h
  composite-undo-stack-observer.h
  conditions.h
  conn-avoid-ref.h
  console-output-undo-observer.h
  context-fns.h
  decimal-round.h
  desktop-events.h
  desktop-style.h
  desktop.h
  device-manager.h
  dir-util-test.h
  dir-util.h
  document-private.h
  document-subset.h
  document-undo.h
  document.h
  ege-color-prof-tracker.h
  enums.h
  event-log.h
  event.h
  extract-uri-test.h
  extract-uri.h
  file.h
  fill-or-stroke.h
  filter-chemistry.h
  filter-enums.h
  gc-anchored.h
  gc-finalized.h
  gradient-chemistry.h
  gradient-drag.h
  graphlayout.h
  guide-snapper.h
  help.h
  helper-fns.h
  icon-size.h
  id-clash.h
  inkscape-version.h
  inkscape.h
  isinf.h
  knot-enums.h
  knot-holder-entity.h
  knot-ptr.h
  knot.h
  knotholder.h
  layer-fns.h
  layer-manager.h
  layer-model.h
  line-geometry.h
  line-snapper.h
  macros.h
  main-cmdlineact.h
  marker-test.h
  media.h
  menus-skeleton.h
  message-context.h
  message-stack.h
  message.h
  mod360-test.h
  mod360.h
  number-opt-number.h
  object-hierarchy.h
  object-snapper.h
  object-test.h
  path-chemistry.h
  path-prefix.h
  persp3d-reference.h
  persp3d.h
  perspective-line.h
  preferences-skeleton.h
  preferences-test.h
  preferences.h
  prefix.h
  print.h
  profile-manager.h
  proj_pt.h
  pure-transform.h
  rdf.h
  remove-last.h
  removeoverlap.h
  require-config.h
  resource-manager.h
  round-test.h
  round.h
  rubberband.h
  satisfied-guide-cns.h
  selcue.h
  selection-chemistry.h
  selection-describer.h
  selection.h
  seltrans-handles.h
  seltrans.h
  shortcuts.h
  snap-candidate.h
  snap-enums.h
  snap-preferences.h
  snap.h
  snapped-curve.h
  snapped-line.h
  snapped-point.h
  snapper.h
  splivarot.h
  streq.h
  strneq.h
  style-enums.h
  style-internal.h
  style-test.h
  style.h
  svg-profile.h
  svg-view-widget.h
  svg-view.h
  syseq.h
  test-helpers.h
  text-chemistry.h
  text-editing.h
  text-tag-attributes.h
  transf_mat_3x4.h
  unclump.h
  undo-stack-observer.h
  unicoderange.h
  uri-references.h
  uri-test.h
  uri.h
  vanishing-point.h
  verbs-test.h
  verbs.h
  version.h
)

# -----------------------------------------------------------------------------
# Generate version file
# -----------------------------------------------------------------------------

# a custom command that is always built (as run_always.txt is never actually created)
add_custom_command(
    OUTPUT inkscape-version.cpp run_always.txt
    COMMAND ${CMAKE_COMMAND}
        -DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR}
        -DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR}
        -P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-version.cmake
    COMMENT "Generating inkscape-version.cpp")

list(APPEND inkscape_SRC
  ${CMAKE_BINARY_DIR}/src/inkscape-version.cpp
)


# -----------------------------------------------------------------------------
# Load in subdirectories
# -----------------------------------------------------------------------------

# All folders for internal inkscape
# these call add_inkscape_source
add_subdirectory(debug)
add_subdirectory(display)
add_subdirectory(extension)
add_subdirectory(filters)
add_subdirectory(helper)
add_subdirectory(io)
add_subdirectory(live_effects)
add_subdirectory(svg)
add_subdirectory(trace)
add_subdirectory(ui)
add_subdirectory(util)
add_subdirectory(widgets)
add_subdirectory(xml)
add_subdirectory(2geom)

# Directories containing lists files that describe building internal libraries
add_subdirectory(libavoid)
add_subdirectory(libcola)
add_subdirectory(libcroco)
add_subdirectory(inkgc)
add_subdirectory(libgdl)
add_subdirectory(libuemf)
add_subdirectory(libvpsc)
add_subdirectory(livarot)
add_subdirectory(libnrtype)
add_subdirectory(libdepixelize)

get_property(inkscape_global_SRC GLOBAL PROPERTY inkscape_global_SRC)

set(inkscape_SRC
  ${inkscape_global_SRC}
  ${inkscape_SRC}
)

# -----------------------------------------------------------------------------
# Setup the executable
# -----------------------------------------------------------------------------
set(main_SRC main.cpp)
set(view_SRC inkview.cpp)

if(WIN32)
  # Sources for the inkscape executable on Windows.
  list(APPEND main_SRC
    registrytool.h
    registrytool.cpp
    winmain.cpp
  )

  # Configure and add the platform specific resource files (enabling the app icon).
  string(TIMESTAMP COPYRIGHT_YEAR %Y)
  
  set(FILE_NAME inkscape)
  set(PROGRAM_NAME Inkscape)
  set(PROGRAM_DESCRIPTION "Inkscape vector graphics editor")
  configure_file(inkscape.rc ${CMAKE_BINARY_DIR}/src/inkscape.rc)
  configure_file(inkscape-manifest.xml ${CMAKE_BINARY_DIR}/src/inkscape-manifest.xml)  
  list(APPEND main_SRC ${CMAKE_BINARY_DIR}/src/inkscape.rc)

  set(FILE_NAME inkview)
  set(PROGRAM_NAME Inkview)
  set(PROGRAM_DESCRIPTION "Inkview vector graphics viewer")
  configure_file(inkscape.rc ${CMAKE_BINARY_DIR}/src/inkview.rc)
  configure_file(inkscape-manifest.xml ${CMAKE_BINARY_DIR}/src/inkview-manifest.xml)
  list(APPEND view_SRC ${CMAKE_BINARY_DIR}/src/inkview.rc)
  
  # Build console applications as wrappers around inkscape/inkview.exe as GUI applications can't print to the console.
  add_executable(inkscape_com winconsole.cpp)
  set_target_properties(inkscape_com
                        PROPERTIES
                          LINK_FLAGS "-mconsole"
                          OUTPUT_NAME "inkscape"
                          SUFFIX ".com")
  add_executable(inkview_com winconsole.cpp)
  set_target_properties(inkview_com
                        PROPERTIES
                          LINK_FLAGS "-mconsole"
                          OUTPUT_NAME "inkview"
                          SUFFIX ".com")
endif()

# Build everything except main and inkview.c in a shared library.
add_library(inkscape_base SHARED ${inkscape_SRC} ${sp_SRC})

# make executables for inkscape and inkview
add_executable(inkscape ${main_SRC})
add_executable(inkview ${view_SRC})

if(WITH_DBUS)
    add_dependencies(inkscape_base inkscape_dbus)
endif()

set(INKSCAPE_TARGET_LIBS
        # order from automake
        #sp_LIB
        #nrtype_LIB
        #inkscape_LIB
        #sp_LIB # annoying, we need both!
        nrtype_LIB # annoying, we need both!
        croco_LIB
        avoid_LIB
        cola_LIB
        vpsc_LIB
        livarot_LIB
        uemf_LIB
        2geom_LIB
        depixelize_LIB
        util_LIB
        gc_LIB
        ${INKSCAPE_LIBS}
)

if (NOT "${WITH_EXT_GDL}")
    # Insert it at the beginning of the list as the windows build fails otherwise
    list (INSERT INKSCAPE_TARGET_LIBS 0 "gdl_LIB")
endif()

# Link the inkscape_base library against all external dependencies
target_link_libraries(inkscape_base ${INKSCAPE_TARGET_LIBS})

=== testfiles/CMakeLists.txt ===
# -----------------------------------------------------------------------------
#
# -----------------------------------------------------------------------------
if(NOT GTEST_FOUND) # not required for gtest 1.8.0 and later
    add_subdirectory(${GMOCK_DIR} ${CMAKE_BINARY_DIR}/gmock)

    include_directories(SYSTEM ${GMOCK_DIR}/gtest/include
                               ${GMOCK_DIR}/include
                               ${CMAKE_SOURCE_DIR}/gtest/gtest/include)
endif()

add_executable(tests
	unittest.cpp
	doc-per-case-test.cpp
	src/attributes-test.cpp
	src/color-profile-test.cpp
	src/dir-util-test.cpp
)

target_link_libraries(tests
	gmock_main
	inkscape_base)

add_test(BaseTest ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/tests)

=== share/examples/CMakeLists.txt ===
file(GLOB _FILES "README" "*.svg" "*.svgz" "*.pov")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/examples)

=== share/gradients/CMakeLists.txt ===
install(FILES "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/gradients)

=== share/markers/CMakeLists.txt ===
file(GLOB _FILES "*.svg")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/markers)

=== share/palettes/CMakeLists.txt ===
set(I18N_FILES "inkscape.gpl" "svg.gpl" "Tango-Palette.gpl")

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/palettes.h
  COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${I18N_FILES} > ${CMAKE_CURRENT_SOURCE_DIR}/palettes.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${I18N_FILES}
)
add_custom_target(palettes_h ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/palettes.h)

file(GLOB _FILES "*.gpl")

install(FILES ${_FILES} "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/palettes)

=== src/extension/CMakeLists.txt ===

set(extension_SRC
	db.cpp
	dependency.cpp
	effect.cpp
	error-file.cpp
	execution-env.cpp
	extension.cpp
	init.cpp
	input.cpp
	output.cpp
	patheffect.cpp
	prefdialog.cpp
	print.cpp
	system.cpp
	timer.cpp
    loader.cpp

	implementation/implementation.cpp
	implementation/xslt.cpp
	implementation/script.cpp

	param/bool.cpp
	param/color.cpp
	param/description.cpp
	param/enum.cpp
	param/float.cpp
	param/int.cpp
	param/notebook.cpp
	param/parameter.cpp
	param/radiobutton.cpp
	param/string.cpp

	internal/bluredge.cpp
	internal/cairo-png-out.cpp
	internal/cairo-ps-out.cpp
	internal/cairo-render-context.cpp
	internal/cairo-renderer.cpp
	internal/cairo-renderer-pdf-out.cpp
	internal/emf-inout.cpp
	internal/emf-print.cpp
	internal/gdkpixbuf-input.cpp
	internal/gimpgrad.cpp
	internal/grid.cpp
	internal/image-resolution.cpp
	internal/latex-pstricks.cpp
	internal/latex-pstricks-out.cpp
	internal/metafile-inout.cpp
	internal/metafile-print.cpp
	internal/odf.cpp
	internal/latex-text-renderer.cpp
	internal/pov-out.cpp
	internal/javafx-out.cpp
	internal/svg.cpp
	internal/svgz.cpp
	internal/text_reassemble.c
	internal/wmf-inout.cpp
	internal/wmf-print.cpp

	internal/filter/filter-all.cpp
	internal/filter/filter-file.cpp
	internal/filter/filter.cpp

	internal/pdfinput/pdf-input.cpp
	internal/pdfinput/pdf-parser.cpp
	internal/pdfinput/svg-builder.cpp

	# ------
	# Header
	db.h
	dependency.h
	effect.h
	error-file.h
	execution-env.h
	extension.h
	init.h
	input.h
	output.h
	param/bool.h
	param/color.h
	param/description.h
	param/enum.h
	param/float.h
	param/int.h
	param/notebook.h
	param/parameter.h
	param/radiobutton.h
	param/string.h
	patheffect.h
	prefdialog.h
	print.h
	system.h
	timer.h
    loader.h

	implementation/implementation.h
	implementation/script.h
	implementation/xslt.h

	internal/bluredge.h
	internal/cairo-png-out.h
	internal/cairo-ps-out.h
	internal/cairo-render-context.h
	internal/cairo-renderer-pdf-out.h
	internal/cairo-renderer.h
	internal/clear-n_.h
	internal/emf-inout.h
	internal/emf-print.h
	internal/filter/bevels.h
	internal/filter/blurs.h
	internal/filter/bumps.h
	internal/filter/color.h
	internal/filter/distort.h
	internal/filter/filter.h
	internal/filter/image.h
	internal/filter/morphology.h
	internal/filter/overlays.h
	internal/filter/paint.h
	internal/filter/protrusions.h
	internal/filter/shadows.h
	internal/filter/textures.h
	internal/filter/transparency.h
	internal/gdkpixbuf-input.h
	internal/gimpgrad.h
	internal/grid.h
	internal/image-resolution.h
	internal/javafx-out.h
	internal/latex-pstricks-out.h
	internal/latex-pstricks.h
	internal/latex-text-renderer.h
	internal/metafile-inout.h
	internal/metafile-print.h
	internal/odf.h
	internal/pdfinput/pdf-input.h
	internal/pdfinput/pdf-parser.h
	internal/pdfinput/svg-builder.h
	internal/pov-out.h
	internal/svg.h
	internal/svgz.h
	internal/text_reassemble.h
	internal/wmf-inout.h
	internal/wmf-print.h
)

if(WIN32)
	list(APPEND extension_SRC
	)
endif()

if(WITH_LIBCDR)
	list(APPEND extension_SRC
		internal/cdr-input.cpp
		internal/cdr-input.h
	)
endif()

if(WITH_LIBVISIO)
	list(APPEND extension_SRC
		internal/vsd-input.cpp
		internal/vsd-input.h
	)
endif()

if(WITH_LIBWPG)
	list(APPEND extension_SRC
		internal/wpg-input.cpp
		internal/wpg-input.h
	)
endif()

if(WITH_IMAGE_MAGICK)
	list(APPEND extension_SRC
		internal/bitmap/adaptiveThreshold.cpp
		internal/bitmap/adaptiveThreshold.h
		internal/bitmap/addNoise.cpp
		internal/bitmap/addNoise.h
		internal/bitmap/blur.cpp
		internal/bitmap/blur.h
		internal/bitmap/channel.cpp
		internal/bitmap/channel.h
		internal/bitmap/charcoal.cpp
		internal/bitmap/charcoal.h
		internal/bitmap/colorize.cpp
		internal/bitmap/colorize.h
		internal/bitmap/contrast.cpp
		internal/bitmap/contrast.h
		internal/bitmap/crop.cpp
		internal/bitmap/crop.h
		internal/bitmap/cycleColormap.cpp
		internal/bitmap/cycleColormap.h
		internal/bitmap/despeckle.cpp
		internal/bitmap/despeckle.h
		internal/bitmap/edge.cpp
		internal/bitmap/edge.h
		internal/bitmap/emboss.cpp
		internal/bitmap/emboss.h
		internal/bitmap/enhance.cpp
		internal/bitmap/enhance.h
		internal/bitmap/equalize.cpp
		internal/bitmap/equalize.h
		internal/bitmap/gaussianBlur.cpp
		internal/bitmap/gaussianBlur.h
		internal/bitmap/imagemagick.cpp
		internal/bitmap/imagemagick.h
		internal/bitmap/implode.cpp
		internal/bitmap/implode.h
		internal/bitmap/level.cpp
		internal/bitmap/level.h
		internal/bitmap/levelChannel.cpp
		internal/bitmap/levelChannel.h
		internal/bitmap/medianFilter.cpp
		internal/bitmap/medianFilter.h
		internal/bitmap/modulate.cpp
		internal/bitmap/modulate.h
		internal/bitmap/negate.cpp
		internal/bitmap/negate.h
		internal/bitmap/normalize.cpp
		internal/bitmap/normalize.h
		internal/bitmap/oilPaint.cpp
		internal/bitmap/oilPaint.h
		internal/bitmap/opacity.cpp
		internal/bitmap/opacity.h
		internal/bitmap/raise.cpp
		internal/bitmap/raise.h
		internal/bitmap/reduceNoise.cpp
		internal/bitmap/reduceNoise.h
		internal/bitmap/sample.cpp
		internal/bitmap/sample.h
		internal/bitmap/shade.cpp
		internal/bitmap/shade.h
		internal/bitmap/sharpen.cpp
		internal/bitmap/sharpen.h
		internal/bitmap/solarize.cpp
		internal/bitmap/solarize.h
		internal/bitmap/spread.cpp
		internal/bitmap/spread.h
		internal/bitmap/swirl.cpp
		internal/bitmap/swirl.h
		internal/bitmap/threshold.cpp
		internal/bitmap/threshold.h
		internal/bitmap/unsharpmask.cpp
		internal/bitmap/unsharpmask.h
		internal/bitmap/wave.cpp
		internal/bitmap/wave.h
	)
endif()

if(WITH_DBUS)
        add_subdirectory(dbus)
endif()

# add_inkscape_lib(extension_LIB "${extension_SRC}")
add_inkscape_source("${extension_SRC}")

add_subdirectory( plugins )

=== src/filters/CMakeLists.txt ===

set(filters_SRC
	blend.cpp
	colormatrix.cpp
	componenttransfer-funcnode.cpp
	componenttransfer.cpp
	composite.cpp
	convolvematrix.cpp
	diffuselighting.cpp
	displacementmap.cpp
	distantlight.cpp
	flood.cpp
	gaussian-blur.cpp
	image.cpp
	merge.cpp
	mergenode.cpp
	morphology.cpp
	offset.cpp
	pointlight.cpp
	specularlighting.cpp
	spotlight.cpp
	tile.cpp
	turbulence.cpp


	# -------
	# Headers
	blend.h
	colormatrix.h
	componenttransfer-funcnode.h
	componenttransfer.h
	composite.h
	convolvematrix.h
	diffuselighting.h
	displacementmap.h
	distantlight.h
	flood.h
	gaussian-blur.h
	image.h
	merge.h
	mergenode.h
	morphology.h
	offset.h
	pointlight.h
	specularlighting.h
	spotlight.h
	tile.h
	turbulence.h
)

# add_inkscape_lib(filters_LIB "${filters_SRC}"")
add_inkscape_source("${filters_SRC}")

=== src/helper/CMakeLists.txt ===

include(${CMAKE_SOURCE_DIR}/CMakeScripts/UseGlibMarshal.cmake)

GLIB_MARSHAL(sp_marshal sp-marshal "${CMAKE_CURRENT_BINARY_DIR}/helper")

set(sp_marshal_SRC
	${CMAKE_CURRENT_BINARY_DIR}/sp-marshal.cpp
	${CMAKE_CURRENT_BINARY_DIR}/sp-marshal.h
)

set(helper_SRC
	action.cpp
  action-context.cpp
	geom.cpp
	geom-nodetype.cpp
	geom-pathstroke.cpp
	gnome-utils.cpp
	pixbuf-ops.cpp
	png-write.cpp
	stock-items.cpp
	#units-test.cpp
	window.cpp

	# we generate this file and it's .h counter-part
	${sp_marshal_SRC}


	# -------
	# Headers
	action.h
  action-context.h
	geom-curves.h
	geom-nodetype.h
	geom-pathstroke.h
	geom.h
	gnome-utils.h
	mathfns.h
	pixbuf-ops.h
	png-write.h
	stock-items.h
	window.h
)

set_source_files_properties(sp_marshal_SRC PROPERTIES GENERATED true)

# add_inkscape_lib(helper_LIB "${helper_SRC}")
add_inkscape_source("${helper_SRC}")

=== src/inkgc/CMakeLists.txt ===
set(libgc_SRC
	gc.cpp

	# -------
	# Headers
	gc-alloc.h
	../gc-anchored.h
	gc-core.h
	gc-managed.h
	gc-soft-ptr.h
)

add_inkscape_lib(gc_LIB "${libgc_SRC}")
# add_inkscape_source("${libgc_SRC}")

=== packaging/macosx/ports/devel/dbus-python/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 119928 2014-05-10 20:35:38Z devans@macports.org $

PortSystem      1.0

name            dbus-python
version         1.2.0
maintainers     mcalhoun openmaintainer
license         MIT
categories      devel python
platforms       darwin
description     Python bindings for the dbus message bus system.

set python_versions {24 25 26 27 31 32 33}

# this default version should stay synchronized with python_get_default_version
#    in the python PortGroup
set python_default_version 27

long_description \
    ${description}

homepage        http://www.freedesktop.org/Software/dbus/
master_sites    http://dbus.freedesktop.org/releases/dbus-python/

if {${name} eq ${subport}} {
    # set up dbus-python as a stub port that depends on the default dbus-pythonXY
    fetch {}
    checksum {}
    extract {}
    supported_archs noarch
        
    depends_lib port:${name}${python_default_version}
    
    patch {}
    use_configure no
    build {}
    destroot {
        xinstall -d ${destroot}${prefix}/share/doc/${name}
        system "echo $name is a stub port > ${destroot}${prefix}/share/doc/${name}/README"
    }
}

foreach python_version ${python_versions} {

    set python_branch [string range ${python_version} 0 end-1].[string index ${python_version} end]
    
    subport ${name}${python_version} {
        
        checksums           rmd160  cba09a1ca259bfa49c943142110a968241f40360 \
                            sha256  e12c6c8b2bf3a9302f75166952cbe41d6b38c3441bbc6767dbd498942316c6df
        
        livecheck.type  regex
        livecheck.url   ${master_sites}?C=M&O=D
        livecheck.regex ${name}-(\\d+(?:\\.\\d+)*)
        
        # dbus-python 1.x only supports Python 2.6 and above
        if { [vercmp ${python_branch} 2.5] <= 0 } {
            version 0.84.0
            
            checksums           rmd160  ec5912e28e49e89ff3f9a3a5a05292c27f11de2c \
                                sha256  b85bc7aaf1a976627ca461b1ca7b0c4ddddff709f52fe44c9b2d1d7d8fac5906
            
            livecheck.regex ${name}-(0(?:\\.\\d+)*)
        }
        
        distname        ${name}-${version}

        depends_build   port:pkgconfig
        
        depends_lib                               \
            path:bin/dbus-daemon:dbus             \
            port:dbus-glib                        \
            port:gettext                          \
            path:lib/pkgconfig/glib-2.0.pc:glib2  \
            port:libiconv \
            port:python${python_version}
        
        set python_prefix ${frameworks_dir}/Python.framework/Versions/${python_branch}
                
        configure.pre_args-replace --prefix=${prefix} --prefix=${python_prefix}
        
        configure.args                                                    \
            --docdir=${prefix}/share/doc/${subport}                       \
            --includedir=${python_prefix}/include/python${python_branch}  \
            --disable-html-docs                                           \
            --disable-api-docs
        
        configure.pkg_config_path  ${python_prefix}/lib/pkgconfig
        
        configure.python    ${prefix}/bin/python${python_branch}
        
        variant html description {Enable HTML documentation building} {}
        
        # pyXY-epydoc, which is required to build the api, is only supported on certain versions of python
        if { [lsearch -exact {25 26 27} ${python_version}] != -1 } {
            variant doc description {Enable API documentation building} {}
        }
        
        variant examples description {Install examples} {
            post-destroot {
                set docdir ${prefix}/share/doc/${subport}
                set exdir ${docdir}/examples
                xinstall -d ${destroot}${exdir}
                eval xinstall -m 644 [glob ${worksrcpath}/examples/*] ${destroot}${exdir}
            }
        }
        
        # pyXY-gobject, which is required to test, is only supported on certain versions of python
        if { [lsearch -exact {26 27 32 33 34} ${python_version}] != -1 } {
            variant test {}
            
            test.run yes
            test.target check
        }
        
        # ${python_version} and ${python_branch} do not have the right value inside variant block,
        #    so put it here.
        if { [variant_isset html] || ([variant_exists doc] && [variant_isset doc]) } {
            depends_build-append port:py${python_version}-docutils
            configure.env-append RST2HTML=${prefix}/bin/rst2html-${python_branch}.py
        }

        if { [variant_isset html] } {
            configure.args-replace --disable-html-docs --enable-html-docs
        }

        # ${python_version} and ${python_branch} do not have the right value inside variant block,
        #    so put it here.
        if { [variant_exists doc] && [variant_isset doc] } {
            depends_build-append port:py${python_version}-epydoc
            configure.args-replace --disable-api-docs --enable-api-docs
            configure.env-append EPYDOC=${prefix}/bin/epydoc-${python_branch}
            
            post-destroot {
                set docdir ${prefix}/share/doc/${subport}
                set apidir ${docdir}/api
                xinstall -d ${destroot}${apidir}
                eval xinstall -m 644 [glob ${worksrcpath}/api/*] ${destroot}${apidir}
            }
        }
        
        # ${python_version} and ${python_branch} do not have the right value inside variant block,
        #    so put it here.
        if { [variant_exists test] } {
            if { [variant_isset test] } {
                depends_build-append port:py${python_version}-gobject
            } else {
                pre-test {
                    ui_error "test variant must be activated to enable test support."
                    error "Please enable test variant."
                }
            }
        }
        
        platform darwin 9 {
            post-patch {
                reinplace "s| -export-symbols-regex.*| \\\\|g" \
                    ${worksrcpath}/_dbus_bindings/Makefile.in \
                    ${worksrcpath}/_dbus_glib_bindings/Makefile.in
            }
        }
    }
}

=== packaging/macosx/ports/lang/python26/Portfile ===
# $Id: Portfile 49077 2009-04-03 07:13:13Z erickt@macports.org $

PortSystem 1.0
PortGroup select 1.0

name                    python26
version                 2.6.1
revision                100
set major               [lindex [split $version .] 0]
set branch              [join [lrange [split ${version} .] 0 1] .]
categories              lang
platforms               darwin
maintainers             blb mcalhoun

description             An interpreted, object-oriented programming language
long_description        Python is an interpreted, interactive, object-oriented \
                        programming language.

homepage                http://www.python.org/
master_sites            ${homepage}/ftp/python/${version}/ \
                        ftp://ftp.python.org/pub/python/${version}/

distname                Python-${version}
use_bzip2               yes

checksums               md5     e81c2f0953aa60f8062c05a4673f2be0 \
                        sha1    419f0cb29e9713ea861dde8c43d107c51329e57b \
                        rmd160  497dafaca9c150fca611b0175eeb13c2fc4d3e2d

# patch-Lib-distutils-dist.py.diff comes from
# <http://bugs.python.org/issue1180>
patchfiles              patch-Makefile.pre.in.diff \
                        patch-setup.py.diff \
                        patch-Lib-cgi.py.diff \
                        patch-Lib-distutils-dist.py.diff \
                        patch-Mac-IDLE-Makefile.in.diff \
                        patch-Mac-Makefile.in.diff \
                        patch-Mac-PythonLauncher-Makefile.in.diff \
                        patch-Mac-Tools-Doc-setup.py.diff

depends_lib             port:gettext port:zlib port:openssl port:tk \
                        port:sqlite3 port:db46 port:ncurses port:gdbm \
                        port:bzip2 port:readline

configure.args          --enable-framework=${frameworks_dir} \
                        --enable-ipv6

use_parallel_build      no

post-patch {
   reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/Lib/cgi.py
   reinplace "s|@@APPLICATIONS_DIR@@|${applications_dir}|g" \
      ${worksrcpath}/Mac/Makefile.in ${worksrcpath}/Mac/IDLE/Makefile.in \
      ${worksrcpath}/Mac/Tools/Doc/setup.py \
      ${worksrcpath}/Mac/PythonLauncher/Makefile.in

   # See http://trac.macports.org/changeset/37861
   reinplace "s|xargs -0 rm -r|/usr/bin/xargs -0 /bin/rm -r|g" \
      ${worksrcpath}/Mac/PythonLauncher/Makefile.in
}

build.target            all

test.run                yes
test.target             test

destroot.target         frameworkinstall maninstall

# ensure that correct compiler is used
build.args-append       MAKE="${build.cmd} CC=${configure.cc}"
destroot.args-append    MAKE="${destroot.cmd} CC=${configure.cc}"

select.group            python
select.file             ${filespath}/python[string map {. {}} ${branch}]

post-destroot {
   set framewpath ${frameworks_dir}/Python.framework
   set framewdir  ${framewpath}/Versions/${branch}

   foreach dir { Headers Resources Python Versions/Current } {
      file delete ${destroot}${framewpath}/${dir}
   }

   ln -s ${framewdir}/share/man/man1/python.1 ${destroot}${prefix}/share/man/man1/python${branch}.1

   # Without this, LINKFORSHARED is set to 
   # ... $(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)
   # (this becomes Python.framework/Versions/2.6/Python) which doesn't
   # quite work (see ticket #15099); instead specifically list the
   # full path to the proper Python framework file (which becomes
   # ${prefix}/Library/Frameworks/Python.framework/Versions/2.6/Python)
   reinplace {s|^\(LINKFORSHARED=.*\)$(PYTHONFRAMEWORKDIR).*$|\1 $(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)|} ${destroot}${framewdir}/lib/python${branch}/config/Makefile

   # The framework version.plist isn't currently being installed so
   # we'll copy ours for now (see http://trac.macports.org/ticket/18773 and
   # http://bugs.python.org/issue4937)
   xinstall -m 644 ${filespath}/version.plist \
      ${destroot}${framewdir}/Resources/version.plist
}

post-activate {
   ui_msg "\nTo fully complete your installation and make python $branch the default, please run
\n\tsudo port install python_select \
\n\tsudo python_select $name\n"
}

platform darwin {
   post-configure {
      # See http://trac.macports.org/ticket/18376
      system "cd ${worksrcpath} && ed - pyconfig.h < ${filespath}/pyconfig.ed"
   }
}

platform darwin 7 {
   # there is no SystemStubs on 10.3
   post-patch {
      reinplace "s|-lSystemStubs||g" ${worksrcpath}/configure \
         ${worksrcpath}/configure.in
   }
   post-configure {
      reinplace "s|-lSystemStubs||g" ${worksrcpath}/Makefile.pre.in \
         ${worksrcpath}/Makefile.pre ${worksrcpath}/Makefile
   }
   # To avoid GCC incompatibility issue. See http://nxg.me.uk/note/2004/restFP/ (by ebgssth at gmail.com, ticket #13322)
   configure.ldflags-append   "-lcc_dynamic"
}

platform darwin 10 {
   configure.compiler   gcc-4.2
}

variant universal {
   post-patch {
      set universal_arch_flags {}
      set arch_run_32bit {}
      foreach arch ${universal_archs} {
         lappend universal_arch_flags -arch ${arch}
         if { ${arch}=="i386" || ${arch}=="ppc" } {
            lappend arch_run_32bit -${arch}
         }
      }
      reinplace \
         "s|UNIVERSAL_ARCH_FLAGS=\".*\"|UNIVERSAL_ARCH_FLAGS=\"${universal_arch_flags}\"|" \
         ${worksrcpath}/configure
      reinplace \
         "s|ARCH_RUN_32BIT=\".*\"|ARCH_RUN_32BIT=\"arch ${arch_run_32bit}\"|" \
         ${worksrcpath}/configure
   }
   configure.args-append   --enable-universalsdk=${universal_sysroot}
}

variant ucs4 description {Enable support for UCS4} {
   configure.args-append   --enable-unicode=ucs4
}

#livecheck.check         regex
#livecheck.url           ${homepage}download/releases/
#livecheck.regex         Python (${branch}(?:\\.\\d+)*)

=== packaging/macosx/ports/python/py-numpy/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:et:sw=4:ts=4:sts=4
# $Id: Portfile 127764 2014-11-03 14:01:21Z michaelld@macports.org $

PortSystem              1.0
PortGroup               python 1.0
PortGroup               github 1.0

github.setup            numpy numpy 1.9.1 v
name                    py-numpy
categories-append       math
license                 BSD
platforms               darwin
maintainers             dh michaelld openmaintainer
description             The core utilities for the scientific library scipy for Python
long_description        ${description}

checksums               rmd160  c043ce0045166762e36c513458abc499d36bbcf5 \
                        sha256  504b7cbc3b47df592d683e0f3b992cfa4d29338f8d23fca07f040164018b607f

python.versions         27 32 33 34

if {${name} ne ${subport}} {

    revision                100

    patchfiles              patch-f2py_setup.py.diff \
                            patch-fcompiler_g95.diff \
                            patch-numpy_core_setup.py.diff

    depends_lib-append      port:fftw-3 \
                            port:py${python.version}-nose \
                            port:py${python.version}-cython

    # http://trac.macports.org/ticket/34562
    destroot.env-append \
        CC="${configure.cc}" \
        CFLAGS="${configure.cflags} [get_canonical_archflags cc]" \
        CXX="${configure.cxx}" \
        CXXFLAGS="${configure.cxxflags} [get_canonical_archflags cxx]" \
        OBJC="${configure.objc}" \
        OBJCFLAGS="${configure.objcflags} [get_canonical_archflags objc]" \
        LDFLAGS="${configure.ldflags} [get_canonical_archflags ld]"

    build.env-append        ARCHFLAGS="[get_canonical_archflags ld]"
    destroot.env-append     ARCHFLAGS="[get_canonical_archflags ld]"

    variant atlas description {Use the MacPorts' ATLAS libraries \
                               instead of Apple's Accelerate framework} {
        depends_lib-append      port:atlas

        if {[variant_isset universal]} {
            python.set_compiler     no
        }
    }

    # when using ATLAS (whether by default or specified by the user via
    # the +atlas variant) ...
    set gcc_version ""
    if {[variant_isset atlas]} {

        # see if the user has set -gcc4X to disable using MacPorts'
        # compiler; if not, either use what the user set (as +gcc4X) or
        # default to gcc48.

        variant gcc43 conflicts gcc44 gcc45 gcc46 gcc47 gcc48 \
        description {Use the gcc43 compiler (enables fortran linking)} {
            configure.compiler      macports-gcc-4.3
        }

        variant gcc44 conflicts gcc43 gcc45 gcc46 gcc47 gcc48 \
        description {Use the gcc44 compiler (enables fortran linking)} {
            configure.compiler      macports-gcc-4.4
        }

        variant gcc45 conflicts gcc43 gcc44 gcc46 gcc47 gcc48 \
        description {Use the gcc45 compiler (enables fortran linking)} {
            configure.compiler      macports-gcc-4.5
        }

        variant gcc46 conflicts gcc43 gcc44 gcc45 gcc47 gcc48 \
        description {Use the gcc46 compiler (enables fortran linking)} {
            configure.compiler      macports-gcc-4.6
        }

        variant gcc47 conflicts gcc43 gcc44 gcc45 gcc46 gcc48 \
        description {Use the gcc47 compiler (enables fortran linking)} {
            configure.compiler      macports-gcc-4.7
        }

        variant gcc48 conflicts gcc43 gcc44 gcc45 gcc46 gcc47 \
        description {Use the gcc48 compiler (enables fortran linking)} {
            configure.compiler      macports-gcc-4.8
        }

        if {![variant_isset gcc43] && ![variant_isset gcc44] && ![variant_isset gcc45] && ![variant_isset gcc46] && ![variant_isset gcc47]} {
            default_variants        +gcc48
        }

        if {[variant_isset gcc43]} {
            set gcc_version "4.3"
        } elseif {[variant_isset gcc44]} {
            set gcc_version "4.4"
        } elseif {[variant_isset gcc45]} {
            set gcc_version "4.5"
        } elseif {[variant_isset gcc46]} {
            set gcc_version "4.6"
        } elseif {[variant_isset gcc47]} {
            set gcc_version "4.7"
        } elseif {[variant_isset gcc48]} {
            set gcc_version "4.8"
        }

        # when using non-Apple GCC for universal install, it can
        # create binaries only for the native OS architecture, at
        # either 32 or 64 bits.  Restrict the supported archs
        # accordingly.
        if {${os.arch} eq "i386"} {
            supported_archs         i386 x86_64
        } elseif {${os.arch} eq "powerpc"} {
            supported_archs         ppc ppc64
        }

        # include all the correct GCC4X port
        depends_lib-append      port:gcc[join [split ${gcc_version} "."] ""]

        # force LDFLAGS for correct linking of the linalg module
        # for non-Apple GCC compilers
        patchfiles-append       patch-numpy_linalg_setup.py.diff

        if {${gcc_version} == ""} {
            # user specified -gcc4X but +atlas (either as default or
            # explicitly); do not allow since it might lead to
            # undetermined runtime execution.
            return -code error \
"\n\nWhen using the +atlas variant (either as the default or setting
explicitly), one of the +gcc4X variants must be selected.\n"
        }
    }

    post-patch {
        reinplace "s|@@MPORTS_PYTHON@@|${python.bin}|" \
            ${worksrcpath}/numpy/f2py/setup.py

        if {[variant_isset universal] && [variant_isset atlas]} {
            # Prepare wrappers
            file copy -force ${filespath}/wrapper-template \
                ${worksrcpath}/c-wrapper
            file copy -force ${filespath}/wrapper-template \
                ${worksrcpath}/f-wrapper
            file copy -force ${filespath}/wrapper-template \
                ${worksrcpath}/cxx-wrapper

            reinplace   "s|@@@|${configure.cc}|" ${worksrcpath}/c-wrapper
            reinplace   "s|---|\\\\.c|" ${worksrcpath}/c-wrapper
            reinplace   "s|&&&|${prefix}|" ${worksrcpath}/c-wrapper

            reinplace   "s|@@@|${configure.cxx}|" ${worksrcpath}/cxx-wrapper
            reinplace   "s#---#(\\\\.C|\\\\.cpp|\\\\.cc)#" \
                ${worksrcpath}/cxx-wrapper
            reinplace   "s|&&&|${prefix}|" ${worksrcpath}/cxx-wrapper

            reinplace   "s|@@@|${configure.f90}|" ${worksrcpath}/f-wrapper
            reinplace   "s|---|\\\\.f|" ${worksrcpath}/f-wrapper
            reinplace   "s|&&&|${prefix}|" ${worksrcpath}/f-wrapper

            build.env-append    CC="${worksrcpath}/c-wrapper" \
                                CXX="${worksrcpath}/cxx-wrapper" \
                                F77="${worksrcpath}/f-wrapper" \
                                F90="${worksrcpath}/f-wrapper"

            destroot.env-append CC="${worksrcpath}/c-wrapper" \
                                CXX="${worksrcpath}/cxx-wrapper" \
                                F77="${worksrcpath}/f-wrapper" \
                                F90="${worksrcpath}/f-wrapper"
        }

        if {[variant_isset atlas]} {
            # We must link against libSatlas or libTatlas, not libAtlas
            if {[file exists ${prefix}/lib/libtatlas.dylib]} {
                reinplace -E \
                    "s|_lib_atlas = \\\['atlas'\\\]|_lib_atlas = \\\['tatlas'\\\]|" \
                    ${worksrcpath}/numpy/distutils/system_info.py
            } elseif {[file exists ${prefix}/lib/libsatlas.dylib]} {
                reinplace -E \
                    "s|_lib_atlas = \\\['atlas'\\\]|_lib_atlas = \\\['satlas'\\\]|" \
                    ${worksrcpath}/numpy/distutils/system_info.py
            } else {
                return -code error "Unable to find Atlas dylibs. Bailing out."
            }
        }
    }

    livecheck.type        none

    if {[variant_isset atlas]} {
        build.env-append    ATLAS=${prefix}/lib \
                            LAPACK=${prefix}/lib \
                            BLAS=${prefix}/lib
        destroot.env-append ATLAS=${prefix}/lib \
                            LAPACK=${prefix}/lib \
                            BLAS=${prefix}/lib
    } else {
        build.env-append    ATLAS=None \
                            LAPACK=/usr/lib \
                            BLAS=/usr/lib
        destroot.env-append ATLAS=None \
                            LAPACK=/usr/lib \
                            BLAS=/usr/lib
    }

} else {
    livecheck               none
    #livecheck.regex       archive/[join ${github.tag_prefix} ""](\[\\d+(?:\\.\\d+)*"\]+)${extract.suffix}"
}

=== packaging/macosx/ports/python/py-scour/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim: fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
PortGroup           python 1.0
PortGroup           select 1.0

set realname        scour

name                py-scour
version             0.35
revision            100
categories-append   graphics
license             Apache-2
platforms           darwin
supported_archs     noarch

maintainers         nomaintainer

description         Scour SVG Optimizer
long_description    Scour is a SVG optimizer/sanitizer that can be used to \
                    produce SVGs for Web deployment.

homepage            http://pypi.python.org/pypi/${realname}/
master_sites        pypi:s/${realname}/

distname            scour-${version}

checksums           rmd160  fcb8c54d89cf0b015f7f081e7d4640a85226c85a \
                    sha256  7b33a0fc7ed578e7d1fcf4f68eb4c38cd080c243ea57537840062d37cd0d3c8e

python.versions     27 34 35

if {${name} ne ${subport}} {

    depends_build-append    port:py${python.version}-setuptools

    depends_lib-append      port:py${python.version}-six

    depends_run-append      port:${realname}_select
    
    select.group            ${realname}
    select.file             ${filespath}/${realname}${python.version}
    notes "
To make the Python ${python.branch} version of scour the one that is run\
when you execute the commands without a version suffix, e.g. 'scour', run:

port select --set ${select.group} [file tail ${select.file}]
"

    livecheck.type      none
} else {
    livecheck.type      regex
    livecheck.url       https://pypi.python.org/pypi/${realname}/json
    livecheck.regex     "${realname}-(\\d+(\\.\\d+)+)\\${extract.suffix}"
}

=== packaging/macosx/ports/python/py25-setuptools/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 123950 2014-08-16 14:24:07Z jmr@macports.org $

PortSystem          1.0
PortGroup           python 1.0

name                py25-setuptools
version             5.7
categories-append   devel
license             {PSF ZPL}
maintainers         jmr openmaintainer
description         distutils enhancement for build and distribution
long_description \
    setuptools is a collection of enhancements to the Python distutils that \
    allow you to more easily build and distribute Python packages, \
    especially ones that have dependencies on other packages.

platforms           darwin
supported_archs     noarch

homepage            https://pypi.python.org/pypi/setuptools/
master_sites        https://pypi.python.org/packages/source/s/setuptools/
distname            setuptools-${version}

checksums           md5    81f980854a239d60d074d6ba052e21ed \
                    rmd160 ee9eff6c77e6f27e22e2049a6685bb0e624f94b0 \
                    sha256 a8bbdb2d67532c5b5cef5ba09553cea45d767378e42c7003347e53ebbe70f482

python.versions     25
python.link_binaries no
python.move_binaries no

if {$subport eq $name} {
    if {${python.version} == 25} {
        version     1.4.2
        revision    100
        distname    setuptools-${version}
        checksums   md5    13951be6711438073fbe50843e7f141f \
                    rmd160 b48086a2aae718fe433a8c882d2d9209aa157b0a \
                    sha256 263986a60a83aba790a5bffc7d009ac88114ba4e908e5c90e453b3bf2155dbbd
    }

    post-destroot {
       xinstall -m 755 -d ${destroot}${prefix}/share/doc/${subport}
       xinstall -m 644 -W ${worksrcpath} CHANGES.txt \
          DEVGUIDE.txt README.txt ${destroot}${prefix}/share/doc/${subport}
       if {${python.version} <= 25} {
          delete "${destroot}${prefix}/bin/easy_install"
       } else {
          ln -s "${python.prefix}/bin/easy_install-${python.branch}" "${destroot}${prefix}/bin/"
       }
    }
    livecheck.type      none
#} else {
#    livecheck.type      regex
#    livecheck.url       ${homepage}
#    livecheck.regex     setuptools/(\\d+(\\.\\d+)+)
}

=== packaging/macosx/ports/python/py26-cython/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 125247 2014-09-11 17:01:30Z stromnov@macports.org $

PortSystem          1.0
PortGroup           python 1.0
PortGroup           select 1.0

name                py26-cython
version             0.21
revision            0
categories-append   devel
platforms           darwin
license             Apache-2

python.versions     26
python.version      26

maintainers         stromnov openmaintainer

description         A language for writing C extension modules for Python.

long_description    Cython is a language that makes writing C extensions for \
                    the Python language as easy as Python itself. Cython is  \
                    based on the well-known Pyrex, but supports more cutting \
                    edge functionality and optimizations

homepage            http://www.cython.org/
master_sites        ${homepage}release/ \
                    http://pypi.python.org/packages/source/C/Cython/

distname            Cython-${version}

checksums           rmd160  f5944014c1e4dccb8ec23af96efc05c137917371 \
                    sha256  0cd5787fb3f1eaf8326b21bdfcb90aabd3eca7c214c5b7b503fbb82da97bbaa0

if {${name} eq ${subport}} {

    revision        100

    # Cython 0.21 requires Python 2.6+ or 3.3+
    if {[lsearch {24 25 31 32} ${python.version}] != -1} {
        version             0.20.2
        revision            0
        distname            Cython-${version}
        checksums           rmd160  e78f1779077d6c8e266c9b42b85c8e9031a342d2 \
                            sha256  ed13b606a2aeb5bd6c235f8ed6c9988c99d01a033d0d21d56137c13d5c7be63f
    }

    post-destroot {
        if {${subport} eq "py24-cython" || ${subport} eq "py25-cython"} {
            xinstall -m 644 -W ${worksrcpath}/Doc About.html FAQ.html \
                extension_types.html index.html overview.html primes.c sharing.html \
                special_methods.html ${destroot}${prefix}/share/doc/${subport}
            xinstall -m 644 -W ${worksrcpath} INSTALL.txt README.txt \
                ToDo.txt USAGE.txt ${destroot}${prefix}/share/doc/${subport}
        } else {
            xinstall -m 755 -d ${destroot}${python.prefix}/share/doc/cython
            xinstall -m 644 -W ${worksrcpath}/Doc About.html FAQ.html \
                extension_types.html index.html overview.html primes.c sharing.html \
                special_methods.html ${destroot}${python.prefix}/share/doc/cython
            xinstall -m 644 -W ${worksrcpath} INSTALL.txt README.txt\
                ToDo.txt USAGE.txt ${destroot}${python.prefix}/share/doc/cython
        }
    }

    depends_run         port:cython_select
    test.run            no

    select.group        cython
    select.file         ${filespath}/cython${python.version}

    notes "
To make the Python ${python.branch} version of Cython the one that is run\
when you execute the commands without a version suffix, e.g. 'cython', run:

port select --set ${select.group} [file tail ${select.file}]
"

    livecheck.type      none
} else {
    #livecheck.type      regex
    #livecheck.url       [lindex ${master_sites} 0]
    #livecheck.regex     {Cython-(\d+(?:\.\d+)*)\.[tz]}
    livecheck.type      none
}

=== packaging/macosx/ports/python/scour_select/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
PortGroup           select 1.0

name                scour_select
version             0.1
revision            0
categories          python
license             BSD
platforms           darwin
supported_archs     noarch

maintainers         nomaintainer

description         common files for selecting default scour version
long_description \
   This port installs files that allow 'port select' to be used to \
   create links to the preferred default version of scour.

homepage            http://www.macports.org/

distfiles

use_configure       no

build               {}

destroot {
    select::install scour ${filespath}/base
    select::install scour ${filespath}/none
}

livecheck.type      none
